
/* structure de la fonction peutjouer (fonction de WebTarot appelable depuis la DLL et indiquant si la carte
propose peut tre joue en vertu des rgles du tarot*/

typedef _stdcall BOOL (*t_peutjouer)(INT, INT);

// On exporte toutes les jolies fonctions implmentes pour l'occasion

extern  "C" __declspec(dllexport) void _stdcall Debut_Partie(int nbjoueurs, t_peutjouer pointeur_peutjouer);

extern  "C" __declspec(dllexport) void _stdcall Recoit_Distribution(int joueur, char * cartes);

extern  "C" __declspec(dllexport) int _stdcall Envoie_Appel();
extern  "C" __declspec(dllexport) void _stdcall Recoit_Ecart(char * cartes);

extern  "C" __declspec(dllexport) void _stdcall Recoit_Enchere(int joueur, int lecontrat);
extern  "C" __declspec(dllexport) int _stdcall Envoie_Enchere(int joueur, int maxic);

extern  "C" __declspec(dllexport) void _stdcall Recoit_Ecart(char * cartes);
extern  "C" __declspec(dllexport) char * _stdcall Envoie_Ecart(int joueur);

extern  "C" __declspec(dllexport) void _stdcall Recoit_Poignee(int joueur, char * cartes);
extern  "C" __declspec(dllexport) char * _stdcall Envoie_Poignee(int joueur);

extern  "C" __declspec(dllexport) void _stdcall Debut_Pli(int numpli, int entameur);
extern  "C" __declspec(dllexport) void _stdcall Fin_Pli(int nump);

extern  "C" __declspec(dllexport) void _stdcall Recoit_Jouerie(int joueur,int carte,int meneur);
extern  "C" __declspec(dllexport) int _stdcall Envoie_Jouerie(int joueur);

extern  "C" __declspec(dllexport) void _stdcall Fin_Partie();

